ECPBRAM(1)

NAME
ecpbram - Project Trellis

DESCRIPTION
Project Trellis - Open Source Tools for ECP5 FPGAs debian/tmp/usr/bin/ecpbram: ECP5 BRAM content initialization tool

COPYRIGHT
Copyright © 2019 Sylvain Munaut <tnt@246tNt.com>
Copyright © 2016 Claire Xenia Wolf <claire@yosyshq.com>

Allowed options:

  Generic options:

-h [ --help ]
    show help

-v [ --verbose ]
    verbose output

  Initialize options:

-i [ --input ] arg
    input configuration file

-o [ --output ] arg
    output configuration file

-f [ --from ] arg
    original content hex file

-t [ --to ] arg
    new content hex file

  Generate options:

-g [ --generate ] arg
    Generate random hex of given geometry into given file

-s [ --seed ] arg
    seed random generator with fixed value

-w [ --width ] arg
    width of the BRAM content (in bits)

-d [ --depth ] arg
    idepth of the BRAM content (in # of words)